### Method

# Adw ViewStackPageset_badge_number

#### Declaration [src]

    void
    adw_view_stack_page_set_badge_number (
      AdwViewStackPage* self,
      guint badge_number
    )

#### Description [src]

Sets the badge number for this page.

`AdwViewSwitcher` can display it as a badge next to the page icon. It is commonly used to display a number of unread items within the page.

It can be used together with [property@ViewStack{age}:needs-attention].

Sets property | `Adw.ViewStackPage:badge-number`

#### Parameters

`badge_number`

  Type: `guint`

  The new value to set.